package it.unitn.disi.MR;

import javafx.event.EventHandler;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.StackPane;

public abstract class Terreno extends StackPane {
    /**
     * Posizione y (riga) della cella di terreno nella matrice
     */
    int rigaPos=0; 
    /**
     * Posizione x (colonna) della cella di terreno nella matrice
     */
    int colPos=0;
    MainWindow mainWindow;    
    Terreno(int i, int j, MainWindow mainWindow){
        this.mainWindow=mainWindow;
        this.rigaPos=j;
        this.colPos=i;
        //setBackground(new Background(new BackgroundFill(Color.GREEN, CornerRadii.EMPTY, Insets.EMPTY)));
        setStyle("-fx-border-color: #000000; -fx-border-width: 1px; -fx-background-color: white;");
        addEventHandler(MouseEvent.MOUSE_PRESSED, new EventHandler<MouseEvent>() {
                public void handle(MouseEvent mouseEvent) {
                    Terreno source=(Terreno)mouseEvent.getSource();
                    System.out.println(source);
                    manageClick();
                }
            });
    }
    /**
     * gestisci il click sul terreno
     */
    abstract void manageClick();   
}
